Page MenuHomePhabricator

Restore jenkins-bot normal tests (remove "archived") for extension AdvancedMeta
Closed, ResolvedPublic

Description

I have updated AdvancedMeta to be compatible with current MediaWiki versions. I have already asked @QChris to re-open the repo. I can not merge until this has happend

Event Timeline

Pwirth created this task.May 9 2018, 8:30 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 9 2018, 8:30 AM
MarcoAurelio added a subscriber: MarcoAurelio.

@Pwirth You should alredy be able to merge there as per the access list at https://gerrit.wikimedia.org/r/#/admin/groups/743,members Do you get any error?

Pwirth added a comment.May 9 2018, 8:35 AM

@MarcoAurelio yes, the following:

fail-archived-repositories https://integration.wikimedia.org/ci/job/fail-archived-repositories/106/console : This repository has been archived and new patches are not being accepted.

@Pwirth Oh yes, forgot that. I'll submit a patch for jenkins to behave normally again there, but I don't have merge rights in our CI infraestructure so it may take some hours after it works :-/

MarcoAurelio added a subscriber: hashar.

Actually I think it's best for @hashar to do so given that he's working on migrating extensions to a new checking system and I don't know which of them qualify for it.

MarcoAurelio renamed this task from Re-open repo AdvancedMeta to Restore jenkins-bot normal tests (remove "archived") for extension AdvancedMeta.May 9 2018, 8:46 AM
MarcoAurelio triaged this task as Medium priority.
hashar added a comment.May 9 2018, 1:52 PM

Just revert the change that archived it 14642fd72f92213e3bb9c5632c2c3058d8d07022 or namely add:

   - name: mediawiki/extensions/AdvancedMeta
     template:
-      - name: archived
+      - name: extension-unittests-generic
+      - name: mwgate-npm

And eventually I will later migrate it to use the one job to run all tests (Quibble).

Change 432150 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[integration/config@master] Revert "Archive Extension:AdvancedMeta"

https://gerrit.wikimedia.org/r/432150

Change 432150 merged by jenkins-bot:
[integration/config@master] Revert "Archive Extension:AdvancedMeta"

https://gerrit.wikimedia.org/r/432150

MarcoAurelio closed this task as Resolved.May 9 2018, 9:34 PM
MarcoAurelio claimed this task.
MarcoAurelio removed a project: Patch-For-Review.
MarcoAurelio added a subscriber: 20after4.

Okay so the extension is unarchived on the Continuous Integration Infraestructure and now it runs normal tests as before. Thanks to @hashar for the hint and @20after4 for merging the patch and reloading zuul to make this happen.

Restricted Application added a project: User-MarcoAurelio. · View Herald TranscriptMay 9 2018, 9:34 PM
Osnard added a subscriber: Osnard.May 14 2018, 6:24 AM

Changed CI configuration to allow composer based namespaces: https://gerrit.wikimedia.org/r/#/c/432947/

@Osnard Does this fix the issue reported as Fatal error: Uncaught exception 'UnexpectedValueException' with message 'callback '\AdvancedMeta\Extension::onRegistration' is not callable' in /home/jenkins/workspace/mwext-testextension-hhvm-jessie/src/includes/registration/ExtensionRegistry.php:360 ?

@MarcoAurelio From my understanding yes :) Yet, I can not guarantee as I can not test CI related stuff locally.

Vvjjkkii renamed this task from Restore jenkins-bot normal tests (remove "archived") for extension AdvancedMeta to pbdaaaaaaa.Jul 1 2018, 1:11 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed MarcoAurelio as the assignee of this task.
Vvjjkkii raised the priority of this task from Medium to High.
Vvjjkkii updated the task description. (Show Details)
CommunityTechBot renamed this task from pbdaaaaaaa to Restore jenkins-bot normal tests (remove "archived") for extension AdvancedMeta.Jul 2 2018, 6:06 AM
CommunityTechBot closed this task as Resolved.
CommunityTechBot assigned this task to MarcoAurelio.
CommunityTechBot lowered the priority of this task from High to Medium.
CommunityTechBot updated the task description. (Show Details)